package dep

import (
	"kpt-tmr-group/config"
	"kpt-tmr-group/util/di"
)

// Global 全局所有的依赖
// 除了:
// * cmd
// * http
// * grpc
func Global() di.HubOption {
	return di.Options(Options()...)
}

func Options() []di.HubOption {
	return []di.HubOption{
		// 基础依赖
		config.Module,
		// store
	}
}
