package model

import (
	"time"
)

type EventFileds struct {
	Id         int       `xorm:"not null pk default 0 comment('主键自增ID') INT(11)"`
	EventId    int       `xorm:"not null default 0 comment('事件表id') index INT(11)"`
	FiledId    int       `xorm:"not null default 0 comment('字段表id') INT(11)"`
	IsRequired int       `xorm:"not null default 0 comment('改字段是否必填 1 是 0 否') TINYINT(1)"`
	DataSource int       `xorm:"not null default 0 comment('数据来源 1 自动生成 0 手动输入') TINYINT(1)"`
	IsList     int       `xorm:"not null default 0 comment('列表是否可见 1 是 0 否') TINYINT(1)"`
	ShowLine   int       `xorm:"not null comment('显示分布 1 显示1行 2 显示2行 3 显示3行...') TINYINT(1)"`
	CreateTime time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
